<!DOCTYPE HTML>
<html>
    <head>

        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

        <!-- Custom CSS -->
        <!-- <link rel="stylesheet" href="index.css"> -->

        <title>CSS and Bootstrap Flex</title>

    </head>
    <body>

        <div class="container-fluid text-center">

            <h1>Bootstrap Flex</h1>
            <p>Use the d-flex class to create a flex container and transform direct children into flex items.</p>

            <h2>Centering elements</h2>
            <div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column">  
                <div class="h-25 p-3 bg-success">Flex Item A</div>
                <div class="h-25 p-3 bg-warning">Flex Item B</div>
                <div class="h-25 p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Flex Row</h2>
            <div class="bg-dark p-3 d-flex flex-row">  
                <div class="p-3 bg-success">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Flex Row Reverse</h2>
            <div class="bg-dark p-3 d-flex flex-row-reverse">  
                <div class="p-3 bg-success">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Creating Space Between Element</h2>
            <div class="bg-dark p-3 d-flex 
            flex-lg-row flex-md-row flex-column justify-content-around">  
                <div class="p-3 bg-success px-5">Card A</div>
                <div class="p-3 bg-warning px-5">Card B</div>
                <div class="p-3 bg-danger px-5">Card C</div>
            </div>

            <h2>Flexbox With Margin</h2>
            <div class="bg-dark p-3 d-flex 
            flex-row">  
                <div class="p-4 bg-success mr-auto">Flex Item A</div>
                <div class="d-flex flex-row ml-auto">
                    <div class="p-4 bg-warning">Flex Item B</div>
                    <div class="p-4 bg-danger">Flex Item C</div>
                    <div class="p-4 bg-primary">Flex Item D</div>
                </div>
            </div>

            <h2>Nested Flex Element</h2>
            <div class="bg-dark p-3 d-flex 
            flex-column flex-md-row flex-lg-row
            align-items-md-start align-items-lg-start 
            justify-content-md-between justify-content-lg-between
            ">  
                <div class="p-4 bg-success ">Flex Item A</div>
                <div class="d-flex w-50
                flex-column flex-md-row flex-lg-row 
                align-items-start align-items-md-baseline align-items-lg-baseline
                justify-content-md-between justify-content-lg-between                
                ">
                    <div class="p-4 bg-warning ">Flex Item B</div>
                    <div class="p-4 bg-danger ">Flex Item C</div>
                    <div class="p-4 bg-primary ">Flex Item D</div>
                </div>
            </div>










        </div>

        <!-- Bootstrap Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
        <!-- End of Bootstrap Script -->

    </body>
</html>